Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0007863 [DCSS] Bug Report trivial always 2013-12-14 16:29 2014-06-02 20:59
Reporter geekosaur View Status public  
Assigned To neil
Priority normal Resolution done  
Status closed   Product Branch 0.14 ancient branch
Summary 0007863: harmless warning building with gcc 4.8
Description Harmless redeclaration warning which occurs with most but not all C++ source files. Example:

    CXX beam.o
In file included from beam.cc:42:0:
libutil.h:75:52: warning: redundant redeclaration of 'size_t strlcpy(char*, const char*, size_t)' in
 same scope [-Wredundant-decls]
 size_t strlcpy(char *dst, const char *src, size_t n);
                                                    ^
In file included from /opt/local/include/gcc48/c++/cstring:42:0,
                 from fixedvector.h:10,
                 from fixedarray.h:9,
                 from externs.h:25,
                 from AppHdr.h:434,
                 from beam.cc:6:
/usr/include/string.h:167:9: warning: previous declaration of 'size_t strlcpy(char*, const char*, si
ze_t)' [-Wredundant-decls]
 size_t  strlcpy(char *, const char *, size_t);
         ^


gcc 4.8 from MacPorts, with minor Makefile tweaks to use it and various other things from MacPorts instead of the Apple+contribs it normally forces. I can attempt the build with stock OS X config or on Fedora if needed, or attach my Makefile tweaks to use MacPorts compilers instead of Apple's.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0026351)
neil (administrator)
2014-05-31 21:18

Fixed in trunk (0.15-a0-1202-g412fe29 + 0.15-a0-1203-g5812d03), thanks!
(0026367)
geekosaur (reporter)
2014-06-02 20:58

There's another warning with this fix but I'm filing it separately in case it's significant.

- Issue History
Date Modified Username Field Change
2013-12-14 16:29 geekosaur New Issue
2014-05-31 21:18 neil Note Added: 0026351
2014-05-31 21:18 neil Status new => resolved
2014-05-31 21:18 neil Fixed in Branch => 0.15 development branch
2014-05-31 21:18 neil Resolution open => done
2014-05-31 21:18 neil Assigned To => neil
2014-06-02 20:58 geekosaur Note Added: 0026367
2014-06-02 20:58 geekosaur Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker